import * as JSZip from 'jszip';
import {Reader, read, registerReader} from './reader';
import {Writer} from './writer';
import {IncomingFileContent, Archive} from './typings';

export * from './typings';
export * from './parser';

export function readArchive (fileContent: IncomingFileContent): Promise<Archive> {
    return new JSZip().loadAsync(fileContent);
}

export {Reader, Writer, read, registerReader};