export type FileBuffer = ArrayBuffer|Buffer;
export type IncomingFile = File|Blob|FileBuffer;
export type IncomingFileContent = Uint8Array|Buffer;

export interface FiwoFileMetaInformation {
    type: string;
    name: string;
    size: number;
    creator: string;
    createdAt: string;
    modifiedAt: string;
}

export interface FiwoFile {
    meta: FiwoFileMetaInformation;
}

export interface IncomingData {
    fileBuffer: FileBuffer;
    fileContent: IncomingFileContent;
}

export interface Archive extends JSZip {
    [key: string]: any;
}

export interface ArchiveEntry extends JSZipObject {
    [key: string]: any;
}